Subject: bug#6138: mv while maintaining relative symbolic links

From: Peng Yu <[email-masked]>
Date: Fri, 7 May 2010 15:33:11 -0500

I'm wondering if there is any tool that can do almost exact the same
thing as mv, but it can maintain symbolic links.

mv doens't maintain relative symbolic links. For example, I have file
/tmp/A/file1.txt and a symbolic link /tmp/file1.txt that point to
A/file.txt (by the relative path). If I mv /tmp/A to /tmp/B, the link
/tmp/file1.txt will be broken.

Another example: I have file /tmp/file1.txt and symbolic link
/tmp/A/file1.txt that points to ../file1.txt (by relative path). If I
move /tmp/A to /tmp/B/A, the symbolic /tmp/A/file1.txt will be broken.

Could you please let me know if there is a tool that can maintain the
symbolic links?

-- 
Regards,
Peng